<div class="container">
    <form #cadastroPessoaForm="ngForm" (ngSubmit)="salvar(cadastroPessoaForm)">
        <div class="ui-g">
            <div class="ui-g-12">
                <h1>Nova Pessoa</h1>
            </div>
            <div class="ui-g-12 ui-fluid">
                <label>Nome</label>
                <input type="text" pInputText name="nome" ngModel #nome="ngModel" required minlength="5" >
                <app-message [control]="nome" error="required" text="Informe o nome"></app-message>
                <app-message [control]="nome" error="minlength" text="Mínimo de {{ nome.errors?.minlength?.requiredLength }} caracteres"></app-message>
            </div>
            <div class="ui-g-12 ui-md-9 ui-fluid">
                <label>Logradouro</label>
                <input type="text" pInputText name="logradouro" ngModel #logradouro="ngModel" required>
                <app-message [control]="logradouro" error="required" text="Informe o logradouro"></app-message>
            </div>
            <div class="ui-g-12 ui-md-3 ui-fluid">
                <label>Número</label>
                <input type="text" pInputText name="numero" ngModel #numero="ngModel" required>
                <app-message [control]="numero" error="required" text="Informe o número"></app-message>
            </div>
            <div class="ui-g-12 ui-md-4 ui-fluid">
                <label>Complemento</label>
                <input pInputText type="text">
            </div>
            <div class="ui-g-12 ui-md-4 ui-fluid">
                <label>Bairro</label>
                <input  type="text" pInputText name="bairro" ngModel #bairro="ngModel" required>
                <app-message [control]="bairro" error="required" text="Informe o bairro"></app-message>
            </div>
            <div class="ui-g-12 ui-md-4 ui-fluid">
                <label>Cep</label>
                <p-inputMask mask="99999-999" name="cep" ngModel #cep="ngModel" required></p-inputMask>
                <app-message [control]="cep" error="required" text="Informe o CEP"></app-message>
            </div>
            <div class="ui-g-12 ui-md-6 ui-fluid">
                <label>Cidade</label>
                <input type="text" pInputText name="cidade" ngModel #cidade="ngModel" required>
                <app-message [control]="cidade" error="required" text="Informe a cidade"></app-message>
            </div>
            <div class="ui-g-12 ui-md-6 ui-fluid">
                <label>Estado</label>
                <input type="text" pInputText name="estado" ngModel #estado="ngModel" required>
                <app-message [control]="estado" error="required" text="Informe o estado"></app-message>
            </div>
            <div class="ui-g-12">
                <button pButton type="submit" label="Salvar" [disabled]="!cadastroPessoaForm.valid"></button>
                <button pButton type="button" label="Novo" class="ui-button-info"></button>
                <a href="javascript:;">Voltar para a pesquisa</a>
            </div>
        </div>
    </form>
</div>

